//Strings.h                         Class Declaration For String Class So Far

class String
{
  public:
  String();                         //Uninitialized Constructor - Does nothing
  String& operator=(const char);    //Operator= for assigning char to String
  String& operator=(const char*);   //Operator= for assigning literal or char* to String 
  String& operator=(const String&); //Operator= for assigning 2nd String to 1st
  String& operator+(const char);    //Operator+ for adding char to String
  char* lpStr(void);                //Returns Address of String data Member  >> this->lpStr() 
  ~String();                        //String Destructor
  
  private:
  char* pStrBuffer;                 //This char* member holds the address of an allocated String
};
